org.apache.commons.math3.analysis.solvers

## Interface DifferentiableUnivariateSolver

- All Superinterfaces:
    BaseUnivariateSolver<DifferentiableUnivariateFunction>
  All Known Implementing Classes:
    AbstractDifferentiableUnivariateSolver, NewtonSolver

  Deprecated.
  as of 3.1, replaced by `UnivariateDifferentiableSolver`

      public interface DifferentiableUnivariateSolver
      extends BaseUnivariateSolver<DifferentiableUnivariateFunction>

  Interface for (univariate real) rootfinding algorithms. Implementations will search for only one zero in the given interval.
  Version:
    $Id: DifferentiableUnivariateSolver.java 1377245 2012-08-25 10:06:00Z luc $

- - ### Method Summary

    - ### Methods inherited from interface org.apache.commons.math3.analysis.solvers.BaseUnivariateSolver

      `getAbsoluteAccuracy, getEvaluations, getFunctionValueAccuracy, getMaxEvaluations, getRelativeAccuracy, solve, solve, solve`

Copyright (c) 2003-2013 Apache Software Foundation